import React from "react";
import Star from "./Star";

const Card = ({ movie, favouriteList, setFavouriteList }) => {
    const { Title, Year, imdbID, Poster } = movie;
    return (
        <div className="relative h-[30vh] w-[10vw] overflow-hidden border rounded-lg border-quadnary bg-secondary">
            {favouriteList?.includes(imdbID) ? (
                <Star
                    fill="#FFD700"
                    favouriteList={favouriteList}
                    setFavouriteList={setFavouriteList}
                    movie={movie}
                />
            ) : (
                <Star
                    favouriteList={favouriteList}
                    setFavouriteList={setFavouriteList}
                    movie={movie}
                />
            )}
            <img src={Poster} alt={Title} className="h-[85%] w-full" />
            <div className="flex justify-between px-3 pt-1 text-sm">
                <h6 className="text-quadnary">{Title}</h6>
                <p className="text-quadnary font-semibold">{Year}</p>
            </div>
        </div>
    );
};

export default Card;
